RoboCupMS

Public Member Functions | List of all members
com.robogames.RoboCupMS.Entity.Robot Class Reference

## Public Member Functions
| Robot ()
| Robot (String _name, long _number, TeamRegistration _teamRegistration)
Long | getID ()
String | getName ()
Long | getNumber ()
Long | getTeamRegistrationID ()
String | getTeamName ()
TeamRegistration | getTeamRegistration ()
long | getDisciplineID ()
String | getDiciplineName ()
ECategory | getCategory ()
boolean | getConfirmed ()
Discipline | getDiscipline ()
List< RobotMatch > | getMatches ()
void | setName (String _name)
void | setNumber (long _number)
void | setTeamRegistration (TeamRegistration _registration)
void | setDicipline (Discipline _discipline)
void | setConfirmed (boolean _confirmed)

## Detailed Description

Robot, se kterym soutezi tymy. Nejdrive je nutne robot vytvorit a pak ho registrovat do nejake kategorie. V den konani souteze pak asistent zkontroluje robota jestli splnuje pozadavky a systemu povrdi jeho registraci.

## Constructor & Destructor Documentation

## ◆ Robot() [1/2]

com.robogames.RoboCupMS.Entity.Robot.Robot | ( |  | ) |
| inline

Vytvori robota, ten pokud se prihlasi do urcite kategorie tak muze zapasit

## ◆ Robot() [2/2]

com.robogames.RoboCupMS.Entity.Robot.Robot | ( | String | _name,
|  | long | _number,
|  | TeamRegistration | _teamRegistration
| ) |  |
| inline

Vytvori robota, ten pokud se prihlasi do urcite kategorie tak muze zapasit

Parameters

  _name | Jmeno robota
  _number | Cislo robota (toto cislo identifikuje robota pri jednotlivych zapasech)
  _teamRegistration | Registrace tymu, na kterou je robot vytvoren

## Member Function Documentation

## ◆ getCategory()

ECategory com.robogames.RoboCupMS.Entity.Robot.getCategory | ( |  | ) |
| inline

Navrati kategorii, ve ktere robot soutezi

Returns
  Soutezni kategorie

## ◆ getConfirmed()

boolean com.robogames.RoboCupMS.Entity.Robot.getConfirmed | ( |  | ) |
| inline

Navrati informaci o tom zda byla registrace robota jiz potvrzena

Returns
  boolean

## ◆ getDiciplineName()

String com.robogames.RoboCupMS.Entity.Robot.getDiciplineName | ( |  | ) |
| inline

Navrati nazev discipliny, ve ktere robot soutezi

Returns
  Nazev discipliny

## ◆ getDiscipline()

Discipline com.robogames.RoboCupMS.Entity.Robot.getDiscipline | ( |  | ) |
| inline

Navrati disciplinu, ve ktere robot soutezi

Returns
  Discipline

## ◆ getDisciplineID()

long com.robogames.RoboCupMS.Entity.Robot.getDisciplineID | ( |  | ) |
| inline

Navrati ID discipliny, ve ktere robot soutezi

Returns
  ID discipliny

## ◆ getID()

Long com.robogames.RoboCupMS.Entity.Robot.getID | ( |  | ) |
| inline

Navrati ID robota

Returns
  ID

## ◆ getMatches()

List<RobotMatch> com.robogames.RoboCupMS.Entity.Robot.getMatches | ( |  | ) |
| inline

Seznam vsech zapasu, ktere robot odehral nebo jsou jen naplanovane

Returns
  Seznam zapasu

## ◆ getName()

String com.robogames.RoboCupMS.Entity.Robot.getName | ( |  | ) |
| inline

Navrati jmeno robota

Returns
  Jmeno robota

## ◆ getNumber()

Long com.robogames.RoboCupMS.Entity.Robot.getNumber | ( |  | ) |
| inline

Navrati identifikacni cislo robota

Returns
  Cislo robota

## ◆ getTeamName()

String com.robogames.RoboCupMS.Entity.Robot.getTeamName | ( |  | ) |
| inline

Navrati jmeno tymu, ktery tohoto robota vlastni

Returns
  Jmeno tymu

## ◆ getTeamRegistration()

TeamRegistration com.robogames.RoboCupMS.Entity.Robot.getTeamRegistration | ( |  | ) |
| inline

Navrati registraci tymu, na kterou je tento robot vytvoren

Returns
  TeamRegistration

## ◆ getTeamRegistrationID()

Long com.robogames.RoboCupMS.Entity.Robot.getTeamRegistrationID | ( |  | ) |
| inline

Navrati ID registrace tymu

Returns
  ID registrace tymu

## ◆ setConfirmed()

void com.robogames.RoboCupMS.Entity.Robot.setConfirmed | ( | boolean | _confirmed | ) |
| inline

Nastavi povrzeni registrace

Parameters

  _confirmed | Nova hodnota

## ◆ setDicipline()

void com.robogames.RoboCupMS.Entity.Robot.setDicipline | ( | Discipline | _discipline | ) |
| inline

Nastavi disciplinu, ve ktere bude robot soutezit

Parameters

  _discipline | Disciplina, do ktere robota registujem

## ◆ setName()

void com.robogames.RoboCupMS.Entity.Robot.setName | ( | String | _name | ) |
| inline

Nastavi nove jmeno robota

Parameters

  _name | Nove jmeno robota

## ◆ setNumber()

void com.robogames.RoboCupMS.Entity.Robot.setNumber | ( | long | _number | ) |
| inline

Nastavi nove identifikacni cislo robota

Parameters

  _number | Nove identifikacni cislo

## ◆ setTeamRegistration()

void com.robogames.RoboCupMS.Entity.Robot.setTeamRegistration | ( | TeamRegistration | _registration | ) |
| inline

Nastavi tymovou registraci v damen rocniku souteze

Parameters

  _registration | Tymova registrace

The documentation for this class was generated from the following file:

- /home/martin/Programing/RoboCupMS/src/main/java/com/robogames/RoboCupMS/Entity/Robot.java